#@summary Settings available for a runner
#
type Gitlabrunner::Settings = Struct[{
  'authentication-token' => String[1],
  'url'                  => Stdlib::HTTPSUrl,
  'limit'                => Optional[Integer],
  'executor'             => Enum['docker','shell'],
  'executor-options'     => Optional[Gitlabrunner::Executor_options],
}]
