# frozen_string_literal: true

require 'spec_helper'

describe 'Gitlabrunner::Executor_options' do
  it do
    is_expected.to allow_value(
      {
        'docker-cache-dir' => '/foo',
        'docker-image'     => 'alpine',
        'docker-memory'    => '100g',
        'docker-dns'       => '10.0.0.10',
      },
    )
  end

  it { is_expected.to allow_value('bash') }
end
